🐤

【Ruby on Rails】Railsをバージョン指定してインストールする方法

2022/04/11に公開約800字

※アプリケーションを新規作成する前の手順(rails new アプリケーション名 する前の段階)です。

  1. 自分の環境にどのバージョンがインストールされているのかを確認
      インストール済バージョンを調べることができます。
     以下実行結果
   $ gem info -e rails   
   *** LOCAL GEMS *** 

rails (6.1.4.4, 6.1.4, 5.0.0)    
    Author: David Test Lesson    
    Homepage: https://rubyonrails.org    
    License: MIT  
    Installed at (6.1.4.4): /home/ec2-user/.rvm/gems/ruby-2.6.3    
                 (6.1.4): /home/ec2-user/.rvm/gems/ruby-2.6.3    
                 (5.0.0): /home/ec2-user/.rvm/gems/ruby-2.6.3    
    Full-stack web application framework.    
  1. 実際に使用出来るRailsのバージョンを確認
 $ gem search -ea rails
  1. 好きなバージョンをインストールする
  $ gem install rails -v 5.2.6 ←例
  1. インストールできているかを確認
  $ gem info -e rails 
  1. バージョン指定してインストール
    newの前に _ 付きでバージョンを記述
 $ rails _5.2.6_ new アプリケーション名

お疲れ様でした。
記述に誤りがありましたら、ご指摘宜しくお願い致します。

Discussion

ログインするとコメントできます